<?php
require_once("_functions.php");
$ID = c($_GET['id']);
$Query = @mysql_query("SELECT * FROM `categories` WHERE `id` = $ID");
$CategoryRow = @mysql_fetch_assoc($Query);
$CategoryRow = makeW3C($CategoryRow);

$_TITLE = $CategoryRow['name'] . " | Collections";
require_once("_header.php");
?>

<div id="content">
<?php
if(empty($ID))
{
?>
<h1>Collections</h1>
<p>Please find our collections below. Click the corresponding image to view the collection.</p>
<?php
	$Query = @mysql_query("SELECT * FROM `categories` ORDER BY `order`");
	while($Row = @mysql_fetch_assoc($Query))
	{
		$Row = makeW3C($Row);
?>
<div class="category">
	<a href="/collections.html?id=<?php echo $Row['id']; ?>"><img src="/i/categories/<?php echo $Row['id']; ?>.jpg" alt="<?php echo $Row['name']; ?>" /></a>
	<h2><?php echo $Row['name']; ?></h2>
	<p><?php echo substr($Row['description'], 0, 200); ?>...</p>
	<p class="end"><a href="/collections.html?id=<?php echo $Row['id']; ?>">View Collection &raquo;</a></p>
</div>
<?php
	}
?>
<?php
}
else
{
	$Query = @mysql_query("SELECT * FROM `products` WHERE `c_id` = $ID ORDER BY `name`");
	if(mysql_num_rows($Query)!=0)
	{
		echo '<h1>'.$CategoryRow['name'].'</h1><p>'.$CategoryRow['description'].'</p>';
		while($Row = @mysql_fetch_assoc($Query))
		{
			$Row = makeW3C($Row);
?>
<div class="category_product">
<a href="/product.html?id=<?php echo $Row['id']; ?>"><img src="/i/products/<?php echo $Row['id']; ?>/thumb.jpg" alt="<?php echo $Row['name']; ?>" /></a>
<h2><?php echo $Row['name']; ?><br /><span>&pound;<?php echo number_format($Row['price'], 2); ?></span></h2>
<p><?php echo substr($Row['description'], 0, 100); ?>...</p>
<p style="text-align:right;"><a href="product.html?id=<?php echo $Row['id']; ?>">View &raquo;</a></p>
<p class="darker">Colour Options: <?php printColours($Row['colours']); ?></p>
</div>
<?php
		}
	}
	else
		echo '<h1>No Products</h1><p>Sorry there are no products in this category.</p>';
}
?>
<div style="clear:both;"></div>
</div>

<?php require_once("_footer.php"); ?>